Skip to main content
GET
/
v1
/
vouchers
/
{code}
Get Voucher
curl --request GET \
  --url https://{cluster}.voucherify.io/v1/vouchers/{code} \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{ "id": "v_hrMBBeT4sOP9VSGPmj5KAgJwX202UjiY", "code": "LOYALTY-CARD-xLPbpbXR", "campaign": "Loyalty Program Fall 2022", "campaign_id": "camp_f7fBbQxUuTN7dI7tGOo5XMDA", "category": "First", "category_id": "cat_0bb343dee3cdb5ec0c", "categories": [ { "id": "cat_0bb343dee3cdb5ec0c", "name": "First", "hierarchy": 1, "created_at": "2022-09-16T11:47:19.568Z", "object": "category" } ], "type": "LOYALTY_CARD", "discount": null, "gift": null, "loyalty_card": { "points": 110, "balance": 100, "next_expiration_date": "2023-12-31", "next_expiration_points": 100 }, "start_date": null, "expiration_date": null, "validity_timeframe": null, "validity_day_of_week": null, "active": true, "additional_info": null, "metadata": {}, "assets": { "qr": { "id": "U2FsdGVkX19OrTPNyUztbNretF7tPRL4ZlUDPAUXVGL9e5UCPh6dic8zXEP8/6I6hUEqtz/F6IMIghWz1ljdjzpdizGHG3HZBw4c19fd8SD/DjhBRDSr8APqKGpZTLKe4QC2gislFTeDAq2lmJb6T1oOTBUGkUEwMgEX1Vlco9A=", "url": "{{internalVoucherifyURL}}" }, "barcode": { "id": "U2FsdGVkX1/SpYuOrU9wd6/o1wzy6E/04wURHJ1xuMutzkIUx6OBTmHX5BO8XZRmEFHkgjC5eWJ27ArgAruJfwRXWuQfTNFD4raI9YvIiQNEzsZ0ydxwKBqJ/FJtiw69djuzQk1f4HdQo8s5gaZ7fd2U+1zbaeAvi9usyvRHZE4=", "url": "{{internalVoucherifyURL}}" } }, "is_referral_code": false, "created_at": "2022-09-19T07:56:22.355Z", "updated_at": "2022-09-19T08:04:22.458Z", "holder_id": "cust_eWgXlBBiY6THFRJwX45Iakv4", "validation_rules_assignments": { "object": "list", "data_ref": "data", "data": [], "total": 0 }, "redemption": { "quantity": null, "redeemed_quantity": 1, "redeemed_points": 10, "object": "list", "url": "/v1/vouchers/LOYALTY-CARD-xLPbpbXR/redemptions?page=1&limit=10" }, "publish": { "object": "list", "count": 1, "url": "/v1/vouchers/LOYALTY-CARD-xLPbpbXR/publications?page=1&limit=10" }, "object": "voucher" }

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

code
string
required

A unique code that identifies the voucher.

Example:

"2CpRCE2c"

Response

Returns a voucher object if a valid identifier was provided.

Additionally, the response returns validation rules related to the voucher object. They can be inherited from a campaign.

Response body schema for GET v1/vouchers/{code}.

id
string

Assigned by the Voucherify API, identifies the voucher.

Example:

"v_mkZN9v7vjYUadXnHrMza8W5c34fE5KiV"

code
string

A code that identifies a voucher. Pattern can use all letters of the English alphabet, Arabic numerals, and special characters.

Example:

"WVPblOYX"

campaign
string

A unique campaign name, identifies the voucher's parent campaign.

Example:

"Gift Card Campaign"

campaign_id
string

Assigned by the Voucherify API, identifies the voucher's parent campaign.

Example:

"camp_FNYR4jhqZBM9xTptxDGgeNBV"

category
string

Tag defining the category that this voucher belongs to. Useful when listing vouchers using the List Vouchers endpoint.

category_id
string

Unique category ID assigned by Voucherify.

Example:

"cat_0bb343dee3cdb5ec0c"

type
enum<string>

Defines the type of the voucher.

Available options:
GIFT_VOUCHER,
DISCOUNT_VOUCHER,
LOYALTY_CARD
discount
Amount · object

Contains information about discount.

gift
object

Object representing gift parameters. Child attributes are present only if type is GIFT_VOUCHER. Defaults to null.

loyalty_card
object

Object representing loyalty card parameters. Child attributes are present only if type is LOYALTY_CARD. Defaults to null.

start_date
string<date-time>

Activation timestamp defines when the code starts to be active in ISO 8601 format. Voucher is inactive before this date.

Example:

"2021-12-01T00:00:00.000Z"

expiration_date
string<date-time>

Expiration timestamp defines when the code expires in ISO 8601 format. Voucher is inactive after this date.

Example:

"2021-12-31T00:00:00.000Z"

validity_timeframe
Validity Timeframe · object

Set recurrent time periods when the earning rule is valid. For example, valid for 1 hour every other day.start_date required when including the validity_timeframe.

validity_day_of_week
enum<integer>[]

Integer array corresponding to the particular days of the week in which the voucher is valid.

  • 0 Sunday
  • 1 Monday
  • 2 Tuesday
  • 3 Wednesday
  • 4 Thursday
  • 5 Friday
  • 6 Saturday
Available options:
0,
1,
2,
3,
4,
5,
6
validity_hours
Validity Hours · object

Determines the hours of validity, e.g. to create a happy hours scenario.

active
boolean | null

A flag to toggle the voucher on or off. You can disable a voucher even though it's within the active period defined by the start_date and expiration_date.

  • true indicates an active voucher
  • false indicates an inactive voucher
additional_info
string

An optional field to keep any extra textual information about the code such as a code description and details.

metadata
object

The metadata object stores all custom attributes assigned to the code. A set of key/value pairs that you can attach to a voucher object. It can be useful for storing additional information about the voucher in a structured format.

assets
Voucher Assets · object

Stores links to images of QR and barcode that correspond to an encrypted voucher code.

is_referral_code
boolean | null

Flag indicating whether this voucher is a referral code; true for campaign type REFERRAL_PROGRAM.

created_at
string<date-time>

Timestamp representing the date and time when the voucher was created. The value is shown in the ISO 8601 format.

Example:

"2021-12-22T10:13:06.487Z"

updated_at
string<date-time>

Timestamp representing the date and time when the voucher was last updated in ISO 8601 format.

Example:

"2021-12-22T10:14:45.316Z"

holder_id
string

Unique customer identifier of the redeemable holder. It equals to the customer ID assigned by Voucherify.

Example:

"cust_eWgXlBBiY6THFRJwX45Iakv4"

referrer_id
string

Unique identifier of the referring person.

Example:

"cust_Vzck5i8U3OhcEUFY6MKhN9Rv"

object
string
default:voucher

The type of the object represented by JSON. Default is voucher.

publish
object

Stores a summary of publication events: an event counter and endpoint to return details of each event. Publication is an assignment of a code to a customer, e.g. through a distribution.

redemption
object

Stores a summary of redemptions that have been applied to the voucher.

categories
Category · object[]

Contains details about the category.

validation_rules_assignments
Validation Rules Assignments List · object

List of Validation Rules Assignments

Last modified on February 20, 2026